using System;
using AutoMapper;
using MileageTraker.Web.Models;

namespace MileageTraker.Web.ViewModels.Log
{
	public class LogIndexViewModel
	{
		public int? PreviousLogId { get; set; }
		public int? PreviousLogEndOdometer { get; set; }

		public int LogId { get; set; }

		public string VehicleId { get; set; }

		public int EndOdometer { get; set; }

		public MileageLogTypeWrapper LogType { get; set; }

		public string CityName { get; set; }

		//public string EmployeeName { get; set; }

		public virtual Models.User User { get; set; }

		public double GasPurchased { get; set; }

		public DateTime Date { get; set; }

		public DateTime Created { get; set; }

		static LogIndexViewModel()
		{
			Mapper.CreateMap<Models.Log, LogIndexViewModel>();
		}

		public LogIndexViewModel(Models.Log log, Models.Log previousLog)
		{
			Mapper.Map(log, this);
			if (previousLog != null)
			{
				PreviousLogId = previousLog.LogId;
				PreviousLogEndOdometer = previousLog.EndOdometer;
			}
		}
	}
}